## epcr 1.2.0

=== Makefile ===

.PHONY:	all install clean

all:
	(cd src && $(MAKE) all)

install:
	(cd src && $(MAKE) install)

clean:
	(cd src && $(MAKE) clean)

=== src/Makefile ===
srcdir = .
USR_BINDIR = ../bin/

FLAGS =

#########################################################################
# GNU compiler flags
CC = gcc
CXX = g++
CXXFLAGS = -O2 -I. $(FLAGS) -I$(USR_INCDIR) `getconf LFS_CFLAGS`
LDFLAGS = `getconf LFS_LDFLAGS` `getconf LFS_LIBS` -L. -lseq 

#########################################################################
# SunWS flags
#CC = cc
#CXX = CC
#CXXFLAGS = -O -I. $(DEF) -I$(USR_INCDIR) -L$(USR_LIBDIR) `getconf LFS_CFLAGS`
#LDFLAGS = `getconf LFS_LDFLAGS` `getconf LFS_LIBS` -L. -lseq 

OBJFILES = fasta-io.o gdsutil.o util.o
INCFILES = fasta-io.h gdsutil.h util.h


$(USR_BINDIR)/% : %
	-ln -f $@ $@%
	install -s $< $(USR_BINDIR)

TEST_BINARIES = \
	e-PCR

RELEASE_BINARIES = \
	$(USR_BINDIR)/e-PCR

all : libseq.a $(TEST_BINARIES)


install : release
release : $(RELEASE_BINARIES)


clean: 
	-rm *.o

clean-all: clean
	-rm libseq.a $(TEST_BINARIES)

dist-clean: clean-all
	-rm *~

libseq.a : $(OBJFILES)
	- rm -f libseq.a
	ar cru libseq.a $(OBJFILES)
	ranlib libseq.a

e-PCR : e-PCR.cpp stsmatch.o libseq.a version.h
	$(CXX) $(CXXFLAGS) -o e-PCR e-PCR.cpp stsmatch.o $(LDFLAGS)

stsmatch.o : stsmatch.cpp stsmatch.h util.h
	$(CXX) $(CXXFLAGS) -c stsmatch.cpp

util.o : util.cpp util.h
	$(CXX) $(CXXFLAGS) -c util.cpp

gdsutil.o : gdsutil.cpp util.h
	$(CXX) $(CXXFLAGS) -c gdsutil.cpp

fasta-io.o : fasta-io.cpp fasta-io.h util.h
	$(CXX) $(CXXFLAGS) -c fasta-io.cpp

## epcr 2.3.12

=== Makefile ===
## $Id: Makefile,v 1.7 2007/07/05 16:06:04 rotmistr Exp $
########################################################################
##
##                            PUBLIC DOMAIN NOTICE
##               National Center for Biotechnology Information
##
##  This software/database is a "United States Government Work" under the
##  terms of the United States Copyright Act.  It was written as part of
##  the author's official duties as a United States Government employee and
##  thus cannot be copyrighted.  This software/database is freely available
##  to the public for use. The National Library of Medicine and the U.S.
##  Government have not placed any restriction on its use or reproduction.
##
##  Although all reasonable efforts have been taken to ensure the accuracy
##  and reliability of the software and data, the NLM and the U.S.
##  Government do not and cannot warrant the performance or results that
##  may be obtained by using this software or data. The NLM and the U.S.
##  Government disclaim all warranties, express or implied, including
##  warranties of performance, merchantability or fitness for any particular
##  purpose.
##
##  Please cite the author in any work or product based on this material.
##
########################################################################

LIBS = epcr 
BINS = cmd_epcr cmd_famap cmd_fahash cmd_rpcr
srcdir = .

all links dirs clean dist clean-all install install-lib dist-clean depend: 	
	for i in $(LIBS:%=lib%) $(BINS) ; do \
		$(MAKE) -ef $(srcdir)/stand/Makefile.$$i $@ ; \
	done

#

########################################################################
## $Log: Makefile,v $
## Revision 1.7  2007/07/05 16:06:04  rotmistr
## Made things compileable by MS Visual C++ 8.0
##
## Revision 1.6  2004/05/27 20:36:03  rotmistr
## Version 2.1.0 with appropriate changes (see Changes) is ready for tests.
##
## Revision 1.5  2004/04/06 16:44:57  rotmistr
## *** empty log message ***
##
## Revision 1.4  2004/03/29 03:16:47  rotmistr
## *** empty log message ***
##
## Revision 1.3  2004/02/04 21:23:46  rotmistr
## - gcc-3.3.2 compatible
## - better postfiltering for reverse-e-PCR for discontiguos words
## - cgi added, that supports:
##  -- contig to chromosome mapping
##  -- simple mapviewer links
##  -- unists links
##  -- discontiguos words
##
## Revision 1.2  2003/12/23 21:30:57  rotmistr
## - gaps/mismatches reporting
## - lo/hi fixup
## - reverse sts in re-PCR_main
##
## Revision 1.1.1.1  2003/12/23 18:17:28  rotmistr
## Package that includes e-PCR, reverse e-PCR, and sequence data preparation
## program for reverse e-PCR looks ready
##
## Revision 1.3  2003/11/20 05:56:02  rotmistr
## Loading looks working
##
## Revision 1.2  2003/11/20 02:12:28  rotmistr
## Fixed id, log tags and copyright notice
##
########################################################################

=== debian/changelog ===
epcr (2.3.12-2) unstable; urgency=low

  * debian/source/format: 3.0 (quilt)
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/rules: Implementation of upstream build systems seems to
    be simpler with short dh rules file
  * debian/patches: Ensure Build options will be propagated properly
    Closes: 614482

 -- Andreas Tille <tille@debian.org>  Tue, 22 Feb 2011 09:09:21 +0100

epcr (2.3.12-1) unstable; urgency=low

  * New upstream release buildable with GCC 4.4 (Closes: #504849)
  * Version number updated in debian/rules.
  * debian/copyright refreshed to my latest exploration of the
    machine-readable format. 
  * Added a BibTeX reference in debian/reference.

 -- Charles Plessy <plessy@debian.org>  Thu, 02 Jul 2009 09:31:29 +0900

epcr (2.3.11-1) unstable; urgency=low

  * New upstream release. When parsing commandline if -d was used before -w or
    -f default size was reset to program's default.

  [ Andreas Tille ]
  * debian/control:
    - Fixed Vcs-Svn (missing svn/)
    - Updated Standards-Version to 3.8.2 (no changes needed)

  [ Charles Plessy ]
  * debian/control:
    - Added myself to the Uploaders.
    - Using Debhelper 7 (also in debian/compat). 
    - Removed patch system (also in debian/rules).

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Jun 2009 17:39:15 +0900

epcr (2.3.10-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release applying Andreases patches introduced
    in the previous Debian package.
  * debian/patches: removed 10_assert.patch and 10_gcc4.3.patch
    (Removed debian/patches/series as well.)
  * debian/copyright converted to machine-readable format.
  * debian/control: downgraded recommendation on bioperl to `Suggests:'
    because BioPerl provides a parser for e-PCR results, but e-PCR
    does not need BioPerl for running.

  [ Andreas Tille ]
  * Raised from priority extra to optional according to policy.
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jun 2008 09:10:38 +0200

epcr (2.3.9-1) unstable; urgency=low

  * New upstream version
    Closes: #385256
    Upstream correctly handles strip option so this also
    Closes: #436815
  * There are no reasonable files targetting at a ncbi-epcr-data package
    and thus this is dropped
    Closes: #241710
    because the issue of this bug becomes void
  * Group maintenance by Debian-Med team
    - DM-Upload-Allowed: Yes
    - Vcs tags
    - Use correct address as Uploader: Steffen Moeller <moeller@debian.org>
  * Removed [Biology] from short description
  * Moved Homepage from long description to control fields and fixed
    Homepage
  * Standards-Version: 3.7.3 (no changes needed)
  * debhelper >= 5
  * Patches using quilt
  * Use cdbs
  * Updated long description according to text on web Homepage
  * Just use (and fix) the docbook-to-man output rather than live with
    the broken output
  * Wrote man pages for re-PCR and fahash
  * 

 -- Andreas Tille <tille@debian.org>  Wed, 16 Apr 2008 14:38:00 +0200

epcr (1.2.0-3) unstable; urgency=low
  * Added patch for compilation on Alpha (presumably)
    and IA64 (patch by Sebastian Muszynski, thanks
    also go to Lamont Jones) (Closes: #239733).
  * data package is now architecture-independent (Closes: #233421).
 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Thu, 20 Feb 2004 12:50:19 +0100

epcr (1.2.0-2) unstable; urgency=low

  * Corrected structure of man page
  * Reduced number of ignored errors during build process to
    ease automated interpretation of buildd logs

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Thu, 20 Feb 2004 12:50:19 +0100

epcr (1.2.0-1) unstable; urgency=low

  * Initial Release (Closes:#221847).
  * Separated samples and databases to -data package

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Thu, 20 Nov 2003 12:50:19 +0100

=== debian/control ===
Source: epcr
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 7.1), quilt (>= 0.47)
Standards-Version: 3.9.1
Homepage: http://www.ncbi.nlm.nih.gov/sutils/e-pcr/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ncbi-epcr/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ncbi-epcr/trunk/

Package: ncbi-epcr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bioperl
Description: Tool to test a DNA sequence for the presence of sequence tagged sites
 Electronic PCR (e-PCR) is computational procedure that is used to identify
 sequence tagged sites(STSs), within DNA sequences. e-PCR looks for potential
 STSs in DNA sequences by searching for subsequences that closely match the
 PCR primers and have the correct order, orientation, and spacing that could
 represent the PCR primers used to generate known STSs.
 .
 The new version of e-PCR implements a fuzzy matching strategy. To reduce
 likelihood that a true STS will be missed due to mismatches, multiple
 discontigous words may be used instead of a single exact word. Each of this
 word has groups of significant positions separated by 'wildcard' positions
 that are not required to match. In addition, it is also possible to allow
 gaps in the primer alignments.
 .
 The main motivation for implementing reverse searching (called Reverse e-PCR)
 was to make it feasible to search the human genome sequence and other large
 genomes. The new version of e-PCR provides a search mode using a query
 sequence against a sequence database.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ncbi-epcr using
# Andreas Tille <tille@debian.org>, GPL

%:
	dh $@ --with quilt

override_dh_auto_clean:
	rm -fr epcr
	rm -f *_depend.mk
	rm -f libepcr.a *.o
	rm -f e-PCR famap fahash re-PCR

override_dh_auto_build:
	$(MAKE) links depend all OPTIMIZE=6 \
	    CFLAGS='-I. -g2 -DDEALLOCATE=0 -DVERSION=\"2.3.12\" -DVER_MAJOR=2 -DVER_MINOR=3 -DVER_BUILD=12 -DSTANDALONE=1' \
	    LDFLAGS=-L.

override_dh_auto_install:
	# do nothing

## epcr 2.3.12-1

=== debian/changelog ===
epcr (2.3.12-1-11) unstable; urgency=medium

  * d/rules: invoke various targets in sequence.  (Closes: #1105316)
  * d/rules: enable parallel builds again.
  * d/copyright: remove the old fsf mail address.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 untrackable watch file.
  * d/patches/*: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Fri, 14 Nov 2025 19:44:36 +0100

epcr (2.3.12-1-10) unstable; urgency=medium

  * d/rules: slight modernization accomodating changes in build tools.
    (Closes: #1076879)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Jul 2024 20:56:51 +0200

epcr (2.3.12-1-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 1.2.0-3, 1.2.0-2.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 21:08:43 +0100

epcr (2.3.12-1-8) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Add script to fetch the required data for testing
  * Add autopkgtest

 -- Saira Hussain <saira.h0213@zoho.com>  Mon, 24 Jun 2019 13:23:50 +0000

epcr (2.3.12-1-7) unstable; urgency=medium

  [ Do Thanh Trung ]
  * Enable cross building
    Closes: #922192

  [ Andreas Tille ]
  * Secure URI for homepage
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Drop non-functional autopkgtest template

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 08:19:01 +0100

epcr (2.3.12-1-6) unstable; urgency=medium

  [ Andreas Tille ]
  * debian/upstream/metadata
     - Add registry data
     - remove wrong and redundat information

  [ Manas Kashyap ]
  * VCS updated
  * Debhelper bumped
  * Standard version updated

  [ Andreas Tille ]
  * Versioned Build-Depends: debhelper (>= 11~) to enable easy backports
  * Fix spelling
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 14 Oct 2018 00:23:48 +0200

epcr (2.3.12-1-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Add upstream note that epcr is retired
  * Reflect in watch file that there will be no new versions
  * Add note about retired program to long description
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 13:04:14 +0200

epcr (2.3.12-1-4) unstable; urgency=medium

  * d/watch: version=4
  * debhelper 10
  * cme fix dpkg-control
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 22:15:19 +0100

epcr (2.3.12-1-3) unstable; urgency=medium

  * new homepage
  * cme fix dpkg-control
  * Fix Mayhem issue
    Closes: #715850

 -- Andreas Tille <tille@debian.org>  Mon, 21 Dec 2015 14:56:24 +0100

epcr (2.3.12-1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Normalised debian/control with ‘config-model-edit‘.
    This also removed the obsolete DM-Upload-Allowed field.
  * Conforms with Policy 3.9.4.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Moved debian/upstream to debian/upstream/metapackages

 -- Andreas Tille <tille@debian.org>  Sat, 23 Aug 2014 21:49:28 +0200

epcr (2.3.12-1-1) unstable; urgency=low

  * New upstream version that has applied debian/patches/gcc-4.7.patch
    (so this patch was removed)
  * debian/copyright: Add Upstream-Name & Upstream-Contact
  * debian/control: SVN dir was renamed from ncbi-epcr to epcr
  * debian/use-dpkg-buildflags.patch: Regard LDFLAGS/CPPFLAGS
    hardening flags
  * debian/rules:
     - do not specify fixed version strings but rather obtain these
       via dpkg-parsechangelog
     - Enable hardening flags

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2012 08:27:20 +0200

epcr (2.3.12-3) unstable; urgency=low

  [ A. Costa ]
  * Corrected typos in manpages (Closes: #650476).

  [ Charles Plessy ]
  * Lifted debian/copyright to latest DEP 5 draft.

  [ Andreas Tille ]
  * debian/upstream: Took over references from debian/reference
    and debian/README.Debian
  * debian/control:
     - Standards-Version: 3.9.3
     - Fixed Vcs fields
  * debian/{control,rules}: Removed explicite dependency from quilt
  * debian/patches/gcc-4.7.patch: Add missing include to build using
    gcc-4.7
    Closes: #667156
  * debian/copyright: Fix DEP5 and verify using
      cme fix dpkg-copyright
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 22:52:29 +0200

=== debian/control ===
Source: epcr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/epcr
Vcs-Git: https://salsa.debian.org/med-team/epcr.git
Homepage: https://www.ncbi.nlm.nih.gov/tools/epcr/

Package: ncbi-epcr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: bioperl
Description: Tool to test a DNA sequence for the presence of sequence tagged sites
 Electronic PCR (e-PCR) is computational procedure that is used to identify
 sequence tagged sites(STSs), within DNA sequences. e-PCR looks for potential
 STSs in DNA sequences by searching for subsequences that closely match the
 PCR primers and have the correct order, orientation, and spacing that could
 represent the PCR primers used to generate known STSs.
 .
 The new version of e-PCR implements a fuzzy matching strategy. To reduce
 likelihood that a true STS will be missed due to mismatches, multiple
 discontiguous words may be used instead of a single exact word. Each of this
 word has groups of significant positions separated by 'wildcard' positions
 that are not required to match. In addition, it is also possible to allow
 gaps in the primer alignments.
 .
 The main motivation for implementing reverse searching (called Reverse e-PCR)
 was to make it feasible to search the human genome sequence and other large
 genomes. The new version of e-PCR provides a search mode using a query
 sequence against a sequence database.
 .
 This program is retired upstream and it is suggested to use Primer-Blast
  https://www.ncbi.nlm.nih.gov/tools/primer-blast/
 instead.

=== debian/rules ===
#!/usr/bin/make -f
# Andreas Tille <tille@debian.org>, GPL

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

VERSION := $(DEB_VERSION_UPSTREAM)
VER_MAJOR := $(shell echo $(VERSION) | sed 's/^\([0-9]\+\)\..*/\1/')
VER_MINOR := $(shell echo $(VERSION) | sed 's/^[0-9]\+\.\([0-9]\+\)\..*/\1/')
VER_BUILD := $(shell \
	echo $(VERSION) \
	| sed 's/^[0-9]\+\.[0-9]\+\.\([0-9]\+\).*/\1/' \
)

export DEB_CFLAGS_MAINT_APPEND = \
	-I. \
	-g2 \
	-DDEALLOCATE=0 \
	-DVERSION=\\\"$(VERSION)\\\" \
	-DVER_MAJOR=$(VER_MAJOR) \
	-DVER_MINOR=$(VER_MINOR) \
	-DVER_BUILD=$(VER_BUILD) \
	-DSTANDALONE=1
export DEB_LDFLAGS_MAINT_APPEND = -L.

%:
	dh $@

override_dh_auto_clean:
	rm -fr epcr
	rm -f *_depend.mk
	rm -f libepcr.a *.o
	rm -f e-PCR famap fahash re-PCR

override_dh_auto_build:
	dh_auto_build -- links OPTIMIZE=6
	dh_auto_build -- depend OPTIMIZE=6
	dh_auto_build -- all OPTIMIZE=6

override_dh_auto_install:
	# do nothing

=== debian/watch ===
Version: 5
Untrackable: upstream repository vanished.
